/*
 * @Author: wufan
 * @Date: 2020-11-25 18:25:02
 * @LastEditors: zhangleyuan
 * @LastEditTime: 2020-12-04 11:11:50
 * @Description: Description
 * @@Copyrigh: © 2020 杭州杰竞科技有限公司 版权所有
 */
import Service from "@/common/js/service";

export function getEmployeeList(params: object) {
  return Service.Hades("public/store/getStoreUserPage", params);
}

export function getStoreRole(params: object) {
  return Service.Hades("public/store/getStoreRole", params);
}

export function getUserList(params: object) {
  return Service.Hades("public/store/getStoreCustomerPage", params);
}

export function getStoreDecorationList(params: object) {
  return Service.Hades("public/store/getStoreBannerList", params);
}

export function addEmployee(params: object) {
  return Service.Hades("public/store/addStoreUser", params);
}

export function editEmployee(params: object) {
  return Service.Hades("public/store/editStoreUser", params);
}

export function deleteEmployee(params: object) {
  return Service.Hades("public/store/delStoreUser", params);
}

export function getCourseCatalogList(params: object) {
  return Service.Hades("public/store/getParentCategoryPage", params);
}

export function getAllSonCategory(params: object) {
  return Service.Hades("public/store/getAllSonCategory", params);
}

export function addCourseCategory(params: object) {
  return Service.Hades("public/store/addCourseCategory", params);
}
export function editCourseCategory(params: object) {
  return Service.Hades("public/store/editCourseCategory", params);
}
export function delCourseCategory(params: object) {
  return Service.Hades("public/store/delCourseCategory", params);
}
